{ pkgs ? import <nixpkgs> {} }:
let
  src = pkgs.nix-gitignore.gitignoreSource [] ./.;
in pkgs.haskellPackages.shellFor {
  packages = hpkgs: [
    (hpkgs.callCabal2nix "simiweb" src {})
  ];
  nativeBuildInputs = [
    pkgs.cabal-install
    pkgs.cabal2nix
    pkgs.haskell-language-server
  ];
}
