{ pkgs ? import <nixpkgs> {} }:
let
  #ssg = pkgs.haskellPackages.callPackage ./simiweb.nix {};
  src = pkgs.nix-gitignore.gitignoreSource [] ./.;
  ssg = pkgs.haskellPackages.callCabal2nix "simiweb" src {};
in {
  site = pkgs.stdenv.mkDerivation {
    name = "simiweb";
    src = pkgs.nix-gitignore.gitignoreSource [] ./.;
    buildPhase = ''
      ${ssg}/bin/ssg build
      '';
    installPhase = ''
      mv _site $out
      '';
  };
}
